Kerbal Space Program - Bug #1129

Solar Panels Work on darkside at low altitudes
07/25/2013 07:16 PM - Moose

Status: Closed Start date: 07/25/2013
Severity: Normal % Done: 100%
Assignee:

Category: Buildings

Target version:

Version: 0.24 Language: English (US)
Platform: Any Mod Related: No
Expansion:

Description

Above the lakes of Minmus, up to at least 1Tkm (didn't test higher yet), solar panels work on the dark side of the planet. All panels.
May be an indication of a larger problem with Terrain, especially terrain that reaches the extremes of the engine (the lakes of Minmus
sitting at Om for example, which may be making the engine wonder what is happening).

Marked as normal due to potential larger issue with terrain.

Yet to Test: Higher than 1km above lakes, above non-lake terrain.
Have tested: All lake bodies.

In orbit panels appear to work normally even above lakes.
Suggested (possible) fix: Raise terrain height of the lakes to 10m or more in the height map.

Possibly part of the same issue that causes bug #1127.
All stock parts, no mods.

Related issues:

Related to Kerbal Space Program - Bug #780: Solar Panels Produce Electricity ... Closed 06/15/2013
Has duplicate Kerbal Space Program - Bug #1206: Solar Panels Work on KerbinA"... Duplicate 08/15/2013
Has duplicate Kerbal Space Program - Bug #5046: Sun shines through Minmus Duplicate 05/25/2015
Has duplicate Kerbal Space Program - Bug #5292: Energy flow of solar panels Duplicate 08/02/2015
Has duplicate Kerbal Space Program - Bug #1707: Solar charge obtainable throu... Duplicate 11/06/2013
Has duplicate Kerbal Space Program - Bug #6004: Umbra panels Duplicate 11/29/2015
History

#1 - 11/06/2013 02:35 AM - ElaborateDream

Confirmed this is still an issue in 0.22 with repro on Eve's darkside in bug #1707.

#2 - 09/06/2014 05:16 PM - bsquiklehausen
- Category deleted (35)

- Status changed from New to Confirmed

- % Done changed from 0 to 10

- Version changed from 0.21.1 to 0.24

Confirmed in .24.2 with Win x64 to occur lower than 1200m on Minmus. Above that the panels work properly but below they track the sun through the
moon and operate as if unobstructed.

#3 - 12/02/2014 11:14 PM - RexKramer
- Category set to 90

Present in 0.25. OX-STAT and 1X6 solar panels receive light through Minmus (probably all solar panels..)
NOTE: To get the fixed solar panels to do this, they need to be facing DOWN, so that light that passes 'through' Minmus hits them. Either mount the
OX-STATSs to the bottom of the vessel/rover, or turn the rover upside-down.
#4 - 06/30/2015 11:35 PM - Squelch
- Has duplicate Bug #5046: Sun shines through Minmus added

#5 - 07/01/2015 12:01 AM - jonatkins

Still occurs on Minmus, as of version 1.0.2 and 1.0.4

Not seen it on any other bodies yet.

#6 - 08/02/2015 11:09 PM - Squelch
- Has duplicate Bug #5292: Energy flow of solar panels added

#7 - 08/02/2015 11:11 PM - Squelch

- Related to Bug #780: Solar Panels Produce Electricity when orbiting behind a CelestialBody added

#8 - 08/02/2015 11:14 PM - Squelch
- Has duplicate Bug #1707: Solar charge obtainable through Eve added

#9 - 08/02/2015 11:20 PM - Squelch

- Subject changed from Solar Panels Work on Minmus Darkside to Solar Panels Work on darkside at low altitudes

- Category changed from 90 to 294

#10 - 12/06/2015 03:32 AM - Squelch
- Has duplicate Bug #6004: Umbra panels added

#11 - 05/03/2016 02:07 AM - bewing

Bug still presentin ver 1.1.2.

#12 - 06/30/2016 02:56 PM - torontojc
Bug presentin 1.1.3

#14 - 10/13/2016 07:49 PM - sal_vager
- Status changed from Confirmed to Ready to Test

- % Done changed from 10 to 80

This should now be fixed in 1.2

#15 - 12/03/2016 07:59 PM - JPLRepo
- Status changed from Ready to Test to Closed
- % Done changed from 80 to 100
